org.osgi.framework.BundleException: Uses constraint violation. Unable to resolve bundle revision org.hibernate.java8 [238.0] because it exports package 'org.hibernate.type.descriptor.java' and is also exposed to it from bundle revision org.hibernate.core [251.0] via the following dependency chain: org.hibernate.java8 [238.0] import: (&(osgi.wiring.package=org.hibernate.boot.model)(version>=5.0.0)(!(version>=6.0.0))) | export: osgi.wiring.package=org.hibernate.boot.model; uses:=org.hibernate.type.descriptor.java export: osgi.wiring.package=org.hibernate.type.descriptor.java org.hibernate.core [251.0]

Hibernate JIRA | Marcin Bujar | 1 year ago
  1. 0

    When trying to load both hibernate-osgi and hibernate-java8 I get the following error: {code:java} ERROR: Bundle org.hibernate.java8 [238] Error starting mvn:org.hibernate/hibernate-java8/5.0.2.Final (org.osgi.framework.BundleException: Uses constraint violation. Unable to resolve bundle revision org.hibernate.java8 [238.0] because it exports package 'org.hibernate.type.descriptor.java' and is also exposed to it from bundle revision org.hibernate.core [251.0] via the following dependency chain: org.hibernate.java8 [238.0] import: (&(osgi.wiring.package=org.hibernate.boot.model)(version>=5.0.0)(!(version>=6.0.0))) | export: osgi.wiring.package=org.hibernate.boot.model; uses:=org.hibernate.type.descriptor.java export: osgi.wiring.package=org.hibernate.type.descriptor.java org.hibernate.core [251.0]) org.osgi.framework.BundleException: Uses constraint violation. Unable to resolve bundle revision org.hibernate.java8 [238.0] because it exports package 'org.hibernate.type.descriptor.java' and is also exposed to it from bundle revision org.hibernate.core [251.0] via the following dependency chain: org.hibernate.java8 [238.0] import: (&(osgi.wiring.package=org.hibernate.boot.model)(version>=5.0.0)(!(version>=6.0.0))) | export: osgi.wiring.package=org.hibernate.boot.model; uses:=org.hibernate.type.descriptor.java export: osgi.wiring.package=org.hibernate.type.descriptor.java org.hibernate.core [251.0] at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4006) at org.apache.felix.framework.Felix.startBundle(Felix.java:2045) at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1299) at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:304) at java.lang.Thread.run(Thread.java:745) {code} I need to use both in my project but I cannot work around this without resorting to the shade plugin. Thanks, Marcin

    Hibernate JIRA | 1 year ago | Marcin Bujar
    org.osgi.framework.BundleException: Uses constraint violation. Unable to resolve bundle revision org.hibernate.java8 [238.0] because it exports package 'org.hibernate.type.descriptor.java' and is also exposed to it from bundle revision org.hibernate.core [251.0] via the following dependency chain: org.hibernate.java8 [238.0] import: (&(osgi.wiring.package=org.hibernate.boot.model)(version>=5.0.0)(!(version>=6.0.0))) | export: osgi.wiring.package=org.hibernate.boot.model; uses:=org.hibernate.type.descriptor.java export: osgi.wiring.package=org.hibernate.type.descriptor.java org.hibernate.core [251.0]
  2. 0

    When trying to load both hibernate-osgi and hibernate-java8 I get the following error: {code:java} ERROR: Bundle org.hibernate.java8 [238] Error starting mvn:org.hibernate/hibernate-java8/5.0.2.Final (org.osgi.framework.BundleException: Uses constraint violation. Unable to resolve bundle revision org.hibernate.java8 [238.0] because it exports package 'org.hibernate.type.descriptor.java' and is also exposed to it from bundle revision org.hibernate.core [251.0] via the following dependency chain: org.hibernate.java8 [238.0] import: (&(osgi.wiring.package=org.hibernate.boot.model)(version>=5.0.0)(!(version>=6.0.0))) | export: osgi.wiring.package=org.hibernate.boot.model; uses:=org.hibernate.type.descriptor.java export: osgi.wiring.package=org.hibernate.type.descriptor.java org.hibernate.core [251.0]) org.osgi.framework.BundleException: Uses constraint violation. Unable to resolve bundle revision org.hibernate.java8 [238.0] because it exports package 'org.hibernate.type.descriptor.java' and is also exposed to it from bundle revision org.hibernate.core [251.0] via the following dependency chain: org.hibernate.java8 [238.0] import: (&(osgi.wiring.package=org.hibernate.boot.model)(version>=5.0.0)(!(version>=6.0.0))) | export: osgi.wiring.package=org.hibernate.boot.model; uses:=org.hibernate.type.descriptor.java export: osgi.wiring.package=org.hibernate.type.descriptor.java org.hibernate.core [251.0] at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4006) at org.apache.felix.framework.Felix.startBundle(Felix.java:2045) at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1299) at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:304) at java.lang.Thread.run(Thread.java:745) {code} I need to use both in my project but I cannot work around this without resorting to the shade plugin. Thanks, Marcin

    Hibernate JIRA | 1 year ago | Marcin Bujar
    org.osgi.framework.BundleException: Uses constraint violation. Unable to resolve bundle revision org.hibernate.java8 [238.0] because it exports package 'org.hibernate.type.descriptor.java' and is also exposed to it from bundle revision org.hibernate.core [251.0] via the following dependency chain: org.hibernate.java8 [238.0] import: (&(osgi.wiring.package=org.hibernate.boot.model)(version>=5.0.0)(!(version>=6.0.0))) | export: osgi.wiring.package=org.hibernate.boot.model; uses:=org.hibernate.type.descriptor.java export: osgi.wiring.package=org.hibernate.type.descriptor.java org.hibernate.core [251.0]
  3. 0

    Unable to undeloy osgi if correct Activator is not specified

    GitHub | 2 years ago | wezell
    org.osgi.framework.BundleException: Unresolved constraint in bundle plugin-dotcms-actionlet-pushnow [7]: Unable to resolve 7.0: missing requirement [7.0] osgi.wiring.package; (&(osgi.wiring.package=com.dotcms.plugin.email.osgi)(version>=0.0.0))
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Java 8 issue with Pax Exam chapter10-recipe-simple

    GitHub | 2 years ago | deklanowski
    org.osgi.framework.BundleException: Unresolved constraint in bundle org.ops4j.pax.exam [1]: Unable to resolve 1.0: missing requirement [1.0] osgi.wiring.package; (&(osgi.wiring.package=org.slf4j)(version>=1.5.0)) [caused by: Unable to resolve 5.0: missing requirement [5.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers)]
  6. 0

    Fuse blocked when profile is added

    GitHub | 3 years ago | dvirgiln
    org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.camel.camel-exec [216]: Unable to resolve 216.0: missing requirement [216.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.commons.io)(version>=1.4.0)(!(version>=2.0.0)))

  1. davidvanlaatum 2631 times, last 2 months ago
  2. davidvanlaatum 10 times, last 2 months ago
6 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. org.osgi.framework.BundleException

    Uses constraint violation. Unable to resolve bundle revision org.hibernate.java8 [238.0] because it exports package 'org.hibernate.type.descriptor.java' and is also exposed to it from bundle revision org.hibernate.core [251.0] via the following dependency chain: org.hibernate.java8 [238.0] import: (&(osgi.wiring.package=org.hibernate.boot.model)(version>=5.0.0)(!(version>=6.0.0))) | export: osgi.wiring.package=org.hibernate.boot.model; uses:=org.hibernate.type.descriptor.java export: osgi.wiring.package=org.hibernate.type.descriptor.java org.hibernate.core [251.0]

    at org.apache.felix.framework.Felix.resolveBundleRevision()
  2. Apache Felix Framework
    FrameworkStartLevelImpl.run
    1. org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4006)
    2. org.apache.felix.framework.Felix.startBundle(Felix.java:2045)
    3. org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1299)
    4. org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:304)
    4 frames
  3. Java RT
    Thread.run
    1. java.lang.Thread.run(Thread.java:745)
    1 frame